options {
  directory "/var/cache/bind";

  // If your ISP provided one or more IP addresses for stable 
  // nameservers, you probably want to use them as forwarders.  
  // Uncomment the following block, and insert the addresses replacing 
  // the all-0's placeholder.

  forwarders {
    212.227.123.16;
    212.227.123.17;
  };

  //========================================================================
  // If BIND logs error messages about the root key being expired,
  // you will need to update your keys.  See https://www.isc.org/bind-keys
  //========================================================================
  dnssec-validation auto;

  listen-on { any; };
  listen-on-v6 { none; };

  allow-query { any; };
};

key "rndc-key" {
  algorithm hmac-sha256;
  secret "{{ bind_rndc_key }}";
};

controls {
  inet * port 953 allow { any; } keys { "rndc-key"; };
};

zone "intra.hwen.de" {
  type slave;
  masters { {{ srv.secu.ip }}; };
  allow-notify { {{ srv.secu.ip }}; };
  file "/var/cache/bind/intra.hwen.de.db";
};

zone "220.168.192.in-addr.arpa" {
  type slave;
  masters { {{ srv.secu.ip }}; };
  allow-notify { {{ srv.secu.ip }}; };
  file "/var/cache/bind/220.168.192.in-addr.arpa.db";
};
